Page MenuHomePhabricator

[Task] Remove "wb-entity-spinner"
Closed, ResolvedPublic

Description

We should entirely remove the spinner that used to appear while we were re-doing the entity DOM. We no longer do that for quite some time now and the spinner has moved to entityViewInit by now.

I guess the spinner doesn't show up in a lot of cases any more and if it does, probably not for very long.

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterRemove entity view loading spinner

Event Timeline

hoo created this task.Aug 7 2015, 6:56 PM
hoo raised the priority of this task from to Needs Triage.
hoo updated the task description. (Show Details)
hoo added subscribers: hoo, Lydia_Pintscher, Jonas and 2 others.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 7 2015, 6:56 PM
hoo added a comment.Aug 7 2015, 10:18 PM

The new way we invoke the spinner apparently (people told me and I perceive this myself, I have no solid numbers on this) also slows down page rendering, another case for killing it.

Nikki added a subscriber: Nikki.Aug 7 2015, 10:19 PM
Legoktm set Security to None.
Legoktm added a subscriber: Legoktm.

It's shifting stuff, it appears after some part of the page loaded, it's annoying!

thiemowmde renamed this task from Remove "wb-entity-spinner" to [Task] Remove "wb-entity-spinner".Aug 13 2015, 4:55 PM
thiemowmde triaged this task as High priority.
thiemowmde added a project: patch-welcome.
thiemowmde moved this task from incoming to consider for next sprint on the Wikidata board.

Personally I agree that it should be removed with no replacement (for now). You could even say that it does the opposite: it makes the fact that some pages load slow even more visible. The spinner itself is not really a problem, but the code dims the whole page and this causes two additional refreshs in the browser.

Agreed. Let's get rid of it.

Change 232246 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Remove entity view loading spinner

https://gerrit.wikimedia.org/r/232246

Change 232246 merged by jenkins-bot:
Remove entity view loading spinner

https://gerrit.wikimedia.org/r/232246

Addshore closed this task as Resolved.EditedAug 18 2015, 9:12 AM
Addshore claimed this task.
Addshore added a subscriber: Addshore.

Merged, will be out with the next branch & deploy

Ricordisamoa edited subscribers, added: Ricordisamoa; removed: gerritbot.
Ricordisamoa added a subscriber: MaxSem.